@import './variables';

*,
::after,
::before {
    box-sizing: border-box;
    transition: 0.2s ease-in-out;
}

body {
    margin: 0;
    padding: 0;
    background-color: $base-bg;
    color: $base-color;
    font-family: $base-font, sans-serif;
    font-weight: 500;
    font-size: 15px;
    line-height: 1.3;
    overflow-x: hidden;
}

a {
    color: $base-color;
    cursor: pointer;
    transition: 0.2s ease-in-out;
    text-decoration: none;

    &:hover,
    &:focus {
        color: $brand-color;
        text-decoration: none;
    }
}

.d {
    &-none {
        display: none;
    }

    &-m {
        &-none {
            @media (max-width: $media-m) {
                display: none !important;
            }
        }
    }
}

.wrapper {
    display: flex;
    width: 100%;
    max-width: 1250px;
    margin: 0 auto;

    @media (max-width: $media-m) {
        flex-wrap: wrap;
    }

    .column {
        padding: 0 25px;

        @media (max-width: $media-lg) {
            padding: 0 20px;
        }

        @media (max-width: $media-md) {
            padding: 0 15px;
        }

        @media (max-width: $media-m) {
            padding: 0 8px;
        }

        &--left {
            width: 100%;
            max-width: 350px;

            @media (max-width: $media-lg) {
                max-width: 320px;
            }

            @media (max-width: $media-md) {
                max-width: 250px;
            }

            @media (max-width: $media-m) {
                width: auto;
            }
        }

        &--right {
            width: 100%;
            max-width: 900px;
        }
    }
}

.main {
    @media (max-width: $media-m) {
        padding-bottom: 40px;
    }

    &__content {
        h3 {
            font-size: 20px;
            font-weight: 700;
            margin: 0 0 12px;
        }
    }
}

.back-page {
    display: flex;
    align-items: center;
    font-size: 15px;
    font-weight: 700;
    margin-bottom: -5px;

    @media (max-width: $media-m) {
        margin-bottom: 0;
    }
  
    &__icon {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 40px;
        height: 40px;
        border: 1px solid #c7c7c7;
        border-radius: 50%;
        margin-right: 12px;
    
        svg {
            stroke: $base-color;
        }
    }
  
    &:hover {
        .back-page__icon {
            border-color: $base-color;
            transition: 0.2s ease-in-out;
        }
    }
}

.text {
    &--gray {
        color: $gray-color;
    }
}

p {
    margin: 0;
    line-height: 1.5;
}

@import "./components/header";
@import "./components/user";
@import "./components/page";
@import "./components/nav";
@import "./components/breadcrumb";
@import "./components/alert";
@import "./ui/button";
@import "./ui/form";